using System;
using Infragistics.Windows.DataPresenter.Events;

internal sealed class Delegate532 : MulticastDelegate
{
	public extern void Invoke(object sender, EventHandler<FieldLayoutInitializedEventArgs> e);

	public static void smethod_0(object object_0, EventHandler<FieldLayoutInitializedEventArgs> eventHandler_0, Delegate532 delegate532_1)
	{
		delegate532_1(object_0, eventHandler_0);
	}

	public extern Delegate532(object object_0, IntPtr intptr_0);

	static Delegate532()
	{
		Class10.smethod_13(typeof(Delegate532).TypeHandle);
	}

	internal static Delegate532 delegate532_0;
}
